SND_PCM_HW_PARAM_S(9)

NAME
snd_pcm_hw_param_set -

SYNOPSIS

int snd_pcm_hw_param_set (struct snd_pcm_substream * pcm, struct snd_pcm_hw_params * params, snd_pcm_hw_param_t var, unsigned int val, int dir);

ARGUMENTS

pcm PCM instance

params
    the hw_params instance

var parameter to retrieve

val value to set

dir pointer to the direction (-1,0,1) or NULL

DESCRIPTION

Inside configuration space defined by PARAMS remove from PAR all values != VAL. Reduce configuration space accordingly. Return VAL or -EINVAL if the configuration space is empty